/*
 * Copyright 2026 Oleg Borodin <onborodin@gmail.com>
 */
package storage

import (
	"mstore/app/logger"
)

type Storage struct {
	basepath string
	logg     *logger.Logger
}

func NewStorage(basepath string) *Storage {
	res := &Storage{
		basepath: basepath,
	}
	res.logg = logger.NewLoggerWithSubject("storage")
	return res
}
